
QGIS Application - Bug report #20364

Crash QGIS 3.4.1

2018-11-05 01:25 PM - Alf Roksvåg

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28185

Description

User Feedback

Did nothing.

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Related to QGIS Application - Bug report # 20386: Program crashes in idle phase Closed 2018-11-06

History

#1 - 2018-11-05 01:50 PM - Giovanni Manghi
- Status changed from Open to Feedback

likley duplicate of several other identical reports send it in the last days.

#2 - 2018-11-06 02:44 PM - Alf Roksvåg

I think it has something to do with connection to Postgis server. Without this connection, QGIS 3.4.1 does not crash.

#3 - 2018-11-07 12:14 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.0 to 3.4.1

Alf Roksvåg wrote:

I think it has something to do with connection to Postgis server. Without this connection, QGIS 3.4.1 does not crash.

interesting, are you able to create a precise series of steps that lead to the crash?

#4 - 2018-11-07 12:14 PM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

#5 - 2018-11-07 02:51 PM - Alf Roksvåg

Sorry but now QGIS crashed without PostGIS connection. I did nothing when it crashed. I have no SD card or external HD. But some network disks.

Same crash ID 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77.

#6 - 2018-11-09 12:22 AM - Martin Dobias

- Related to Bug report #20386: Program crashes in idle phase added

#7 - 2018-11-09 08:16 AM - Alf Roksvåg

I now think the problem is that I'm connected to a network. I sat the machine in flight mode for a day and then I had no crash.

#8 - 2018-11-09 10:02 AM - Markus -

I'm experiencing similar issues. I was able to crash 3.4.x by adding/removing drives, either by adding/removing network shares or using subst. I haven't

tried flight mode, but I guess it would make sense that it wouldn't randomly crash if it is somehow related to the network.

#9 - 2018-11-09 02:04 PM - Michał Kułach

Similar and frequent crashes here on QGIS 3.4.1 & Win10. I have no PostGIS connection, but my project file and layers data are on network share. QGIS

2.14.14 in the same configuration works fine.

EDIT:
Markus - wrote:

I'm experiencing similar issues. I was able to crash 3.4.x by adding/removing drives, either by adding/removing network shares or using subst.

I can confirm, removing other network drives (unrelated to QGIS data) lead to crash.

#10 - 2018-11-09 02:37 PM - Giovanni Manghi

- Regression? changed from No to Yes

#11 - 2018-11-09 10:30 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Feedback to Closed

Duplicate of #20386
